Skip to content

Returns a coupon from the system by its ID.

Request

This method will look up a coupon by the specified ID and return it back.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

idstringrequired

The ID of the coupon to return.

Query
fieldsstring

The fields that you want to retrieve; if omitted, the entire object is returned.

consistentReadstring

Indicates the API should force a consistent read on the data source.

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/coupons/{tenantId}/{id}?fields=string&consistentRead=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The coupon was retrieved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
add_on_products_discount_infoobject(Add On Products Discount Info)required
applies_tostring(Applies To)required
Enum:"both""new members""renewing members"
apply_to_add_on_productsboolean(Apply To Add On Products)

This coupon should be applied to membership add on products

apply_to_chapter_duesboolean(Apply To Chapter Dues)

This coupon should be applied to chapter dues

apply_to_membership_packagesboolean(Apply To Membership Packages)

This coupon should be applied to membership packages

apply_to_section_duesboolean(Apply To Section Dues)

This coupon should be applied to section dues

chapter_dues_discount_infoobject(Chapter Dues Discount Info)required
code_generation_htmlstring(Code Generation Html)

HTML you can add into HTML generation for the code

custom_field_valuesArray of objects(Custom Field Values)
discount_methodstring(Discount Method)required
Enum:"discount line item""inline discount"
discount_product_idstring(Discount Product)required
idstring(ID)^[\w|-]+$required

The unique, string identifier of this coupon

is_activeboolean(Is Active)

Whether or not this coupon is active

maximum_discountnumber, (float)(Maximum Discount)

The optional maximum discount that this coupon can yield, irrespective of its configuration

membership_package_discount_infoobject(Membership Package Discount Info)required
namestring(Name)required

The name of the coupon

section_dues_discount_infoobject(Section Dues Discount Info)required
sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

Response
{ "add_on_products_discount_info": { "add_on_ids": [ … ], "add_on_type_ids": [ … ], "amount": 0.1, "method": "amount" }, "applies_to": "both", "apply_to_add_on_products": true, "apply_to_chapter_dues": true, "apply_to_membership_packages": true, "apply_to_section_dues": true, "chapter_dues_discount_info": { "amount": 0.1, "chapter_ids": [ … ], "chapter_type_ids": [ … ], "maximum_number_of_chapters": 0.1, "method": "amount" }, "code_generation_html": "string", "custom_field_values": [ { … } ], "discount_method": "discount line item", "discount_product_id": "string", "id": "string", "is_active": true, "maximum_discount": 0.1, "membership_package_discount_info": { "amount": 0.1, "method": "amount", "package_ids": [ … ], "type_ids": [ … ] }, "name": "string", "section_dues_discount_info": { "amount": 0.1, "maximum_number_of_sections": 0.1, "method": "amount", "section_ids": [ … ], "section_type_ids": [ … ] }, "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1 }